matrix:
  platform:
    - ubuntu2204
    - macos
    #- windows  # Blocked by https://github.com/bazelbuild/bazel/issues/18683
  bazel:
    - 7.x
    - 8.x

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--cxxopt=-std=c++17"
      - "--host_cxxopt=-std=c++17"
    build_targets:
      - "@rules_proto_grpc_cpp//..."
